Quantcast

Upgrade Spring Security Core to SpringSecurity 3.1

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Upgrade Spring Security Core to SpringSecurity 3.1

fabiano taioli
Hi.

For a project I needed spring security core to be upgraded to spring security 3.1.

so I have done a brutal upgrade myself, I have corrected and verified all unit tests, some integration test
keep failing but I don't think is a real problem.

If the upgrade can help someone can be found here
https://github.com/ftaiolivista/grails-spring-security-core

Any bug report or comment is welcome...

Fabiano Taioli
ftaioli@vista.it
Fabiano Taioli

Vista Tecnologie
www.vista.it
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrade Spring Security Core to SpringSecurity 3.1

burtbeckwith
Thanks, I'll take a look. I had started on upgrading to 3.1 as part of a 2.0 plugin release but this will help that along.

Burt

fabiano taioli wrote
Hi.

For a project I needed spring security core to be upgraded to spring security 3.1.

so I have done a brutal upgrade myself, I have corrected and verified all unit tests, some integration test
keep failing but I don't think is a real problem.

If the upgrade can help someone can be found here
https://github.com/ftaiolivista/grails-spring-security-core

Any bug report or comment is welcome...

Fabiano Taioli
ftaioli@vista.it
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrade Spring Security Core to SpringSecurity 3.1

fabiano taioli
You are welcome :)

On 11/06/12 17.15, burtbeckwith [via Grails] wrote:
Thanks, I'll take a look. I had started on upgrading to 3.1 as part of a 2.0 plugin release but this will help that along.

Burt

fabiano taioli wrote
Hi.

For a project I needed spring security core to be upgraded to spring security 3.1.

so I have done a brutal upgrade myself, I have corrected and verified all unit tests, some integration test
keep failing but I don't think is a real problem.

If the upgrade can help someone can be found here
https://github.com/ftaiolivista/grails-spring-security-core

Any bug report or comment is welcome...

Fabiano Taioli
[hidden email]



If you reply to this email, your message will be added to the discussion below:
http://grails.1312388.n4.nabble.com/Upgrade-Spring-Security-Core-to-SpringSecurity-3-1-tp4629887p4629911.html
To unsubscribe from Upgrade Spring Security Core to SpringSecurity 3.1, click here.
NAML

Fabiano Taioli

Vista Tecnologie
www.vista.it
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrade Spring Security Core to SpringSecurity 3.1

davelc
In reply to this post by burtbeckwith
Hi Burt,

Any news on this upgrade?

Cheers,

Dave
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Upgrade Spring Security Core to SpringSecurity 3.1

steviemo
Seems that the Spring Security Core Plugin jumping straight to Spring Security 3.2??

No sure why the have completely bypassed spring security 3.1, really regretting using grails as you are dependent on these plugins a lot of the time.

Pity you can't wire Spring Security into a Grails app without using the plugin. I guess there is too much magic going on.
Loading...